<?php
	$is_min	= false;

	if (!file_exists('development'))
	{
		$is_min	= true;
// 		define('ENVIRONMENT', 'development');
	}
// 	else
// 	{
// 		define('ENVIRONMENT', 'production');
// 	}

	// 1 min	- 1,
	// 2 hr		- 7200,
	// 1 day	- 86400,
	// 7 days	- 604800,
	// 15 days	- 1296000,
	// 30 days	- 2592000

	$age	= 1296000;

	/***
	 * Customized plugins
	 * 
	 * plugin/fileapi.js
	 * 
	 */

// 	$is_min	= false;

// 	if (defined('ENVIRONMENT'))
// 	{
// 		switch (ENVIRONMENT)
// 		{
// 			case 'development':
// 				$is_min	= false;
// 				error_reporting(E_ALL);
// 				break;
// 			case 'testing':
// 			case 'production':
// 				$is_min	= true;
// 				error_reporting(0);
// 				break;
// 			default:
// 				$is_min	= false;
// 				exit('The application environment is not set correctly.');
// 				break;
// 		}
// 	}

	$type	= $_GET['type'];

	$javascript	= array();
	switch($type)
	{
		case 'a':
			if ($is_min)
			{
				$javascript[]	= 'min/otime.min.js';
				$javascript[]	= 'min/ko-handlers.min.js';
			}
			else
			{
				$javascript[]	= 'site/otime.js';
				$javascript[]	= 'site/ko-handlers.js';
			}
			break;
		case 'b':
			if ($is_min)
			{
				$javascript[]	= 'common/jhelper.min.js';
				$javascript[]	= 'min/signup.min.js';
			}
			else
			{
				$javascript[]	= 'common/jhelper.js';
				$javascript[]	= 'site/signup.js';
			}
			break;
		case 'pre':
			$javascript	= array(
				'jquery/jquery-1.8.2.min.js',
				'knockout/knockout-3.1.0.js'
			);
			if ($is_min)
			{
				$javascript[]	= 'min/otime.min.js';
				$javascript[]	= 'min/ko-handlers.min.js';
			}
			else
			{
				$javascript[]	= 'site/otime.js';
				$javascript[]	= 'site/ko-handlers.js';
			}
			break;
		case 'login':
			$javascript	= array(
				'jquery/jquery-1.8.2.min.js',
				'knockout/knockout-3.1.0.js',
				'knockout/knockout.validation.min.js',
				'bootstarp/bootstrap.min.js'
			);
			if ($is_min)
			{
				$javascript[]	= 'min/signup.min.js';
			}
			else
			{
				$javascript[]	= 'site/signup.js';
			}
			break;
		case 'post':
			$javascript	= array(
				'history/jquery.history.js',
				'jqueryui/jquery-ui-1.9.2.min.js',
// 				'plugin/jquery.plugin.js',
				'plugin/jquery.plugin.min.js',
				'jquery/jquery.tmpl.min.js',
				'plugin/jquery.masonry.min.js',
				'plugin/jquery.mousewheel.min.js',
				'plugin/jquery.slimscroll.min.js',
				'bootstarp/bootstrap.min.js',
				'bootstarp/bootstrap-hovermenu.min.js',
// 				'bootstarp/bootstrap-datepicker.js',
				'bootstarp/bootstrap-datepicker.min.js',
// 				'bootstarp/bootstrap-contextmenu.js',
				'bootstarp/bootstrap-contextmenu.min.js',
				'knockout/ko.editables.min.js',
				'knockout/knockout.validation.min.js',
				'plugin/jquery.uniform.js',
// 				'plugin/chosen.jquery.js',
				'plugin/chosen.jquery.min.js',
// 				'plugin/image.chosen.jquery.js',
				'plugin/image.chosen.jquery.min.js',
// 				'plugin/fm.selectator.jquery.js',
// 				'plugin/fm.selectator.jquery.min.js',
				'plugin/bootstrap-select.min.js',
				'plugin/jquery.timeentry.min.js',
// 				'plugin/jquery.timeentry.js',
				'plugin/jquery.colorpicker.min.js',
				'plugin/jquery.Jcrop.min.js',
// 				'plugin/autosize.js',
				'plugin/autosize.min.js',
// 				'plugin/fileapi.js',
				'plugin/fileapi.min.js',
// 				'plugin/bootstrap-switch.js',
// 				'plugin/bootstrap-switch.min.js',
				$is_min ? 'plugin/dateformat.min.js' : 'plugin/dateformat.js',
				$is_min ? 'common/jhelper.min.js' : 'common/jhelper.js',
//				'plugin/placeholder.min.js',
//				'jquery/jquery.validate.js',
				'knockout/knockout-sortable.min.js',
				'chart/jquery.flot.min.js',
				'chart/jquery.flot.pie.min.js',
				'chart/jquery.flot.stack.min.js',
				'chart/jquery.flot.orderBars.min.js',
//				'chart/jquery.flot.categories.js',
//				'chart/jquery.flot.animator.js',
				$is_min ? 'chart/ganttDrawer.min.js' : 'chart/ganttDrawer.js',
				'fullcalendar/moment.min.js',
// 				'fullcalendar/fullcalendar.js',
				'fullcalendar/fullcalendar.min.js'
			);
			break;
		case 'output':
			if ($is_min)
			{
				$javascript	= array(
					'min/gridify.min.js',
					'min/score.min.js',
					'min/menu.min.js',
					'min/notify.min.js',
					'min/bookmark.min.js',
					'min/dashboard.min.js',
					'min/client.min.js',
					'min/usersetup.min.js',
					'min/project.min.js',
					'min/timesheet.min.js',
					'min/timesheetapprove.min.js',
					'min/timesheetrevoke.min.js',
					'min/timesheet_team.min.js',
					'min/entitysetting.min.js',
					'min/addons.min.js',
					'min/profile.min.js',
					'min/expenses.min.js',
					'min/estimate.min.js',
					'min/invoice.min.js',
					'min/report.min.js',
					'min/comments.min.js',
					'min/tasks.min.js',
					'min/tasks.tmpl.min.js',
				);
			}
			else
			{
				$javascript	= array(
					'site/gridify.js',
					'site/score.js',
					'site/menu.js',
					'site/notify.js',
					'site/bookmark.js',
					'site/dashboard.js',
					'site/client.js',
					'site/usersetup.js',
					'site/project.js',
					'site/timesheet.js',
					'site/timesheetapprove.js',
					'site/timesheetrevoke.js',
					'site/timesheet_team.js',
					'site/entitysetting.js',
					'site/addons.js',
					'site/profile.js',
					'site/expenses.js',
					'site/estimate.js',
					'site/invoice.js',
					'site/report.js',
					'site/comments.js',
					'site/tasks.js',
					'site/tasks.tmpl.js',
				);
			}

			break;
		default:
			$javascript	= array();
			break;
	}

	header("Content-type: text/javascript; charset=utf-8");
	header("Cache-Control: max-age=" . $age . ", public");

	if (substr_count($_SERVER['HTTP_ACCEPT_ENCODING'], 'gzip'))
	{
		header("Content-Encoding: gzip");
		ob_start("ob_gzhandler");
	}
	else
	{
		ob_start();
	}

	if (!empty($javascript))
	{
		if ($type == 'output' && !$is_min)
		{
			echo '"use strict";'.PHP_EOL;
		}

		foreach ($javascript as $val)
		{
			require_once($val);
			echo (PHP_EOL . ';');
		}
	}
	ob_flush();

	exit;
?>
