(function($){
	var fn_template = '<img class="{class_name}" src="{url}" title="{title}" fnt-size="15px" onerror="onImageError(this);" />';
	var fn_chosen = $.fn.chosen;

	$.fn.extend({
		chosen: function(options){

			options = options || {};

			var html_template = options.html_template || fn_template;
			var ret	= fn_chosen.apply(this, arguments);

			if (options.imgSelect !== true)
			{
				return ret;
			}

			options.onListRender	= function(option){
				var img_src	= $(option.elem).attr('data-img-src');
				var img_title	= option.text;

				if (img_src != undefined)
				{
					var template = html_template.replace('{url}', img_src);
					template	= template.replace('{title}', img_title);
					return template.replace('{class_name}', 'chose-image-list') + option.search_text;
				}

				return option.search_text;
			};
			return ret;
		}
	});
})(jQuery);