<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

$lang['SITE_NAME']	= 'Output Time';
$lang['OUTPUT_TIME']= 'Output Time';

$lang['DASHBOARD']	= 'Dashboard';

$lang['SAVE']		= 'Save';
$lang['APPLY']		= 'Apply';
$lang['EDIT']		= 'Edit';
$lang['BACK']		= 'Back';
$lang['CANCEL']		= 'Cancel';
$lang['VIEW']		= 'View';
$lang['ADD']		= 'Add';
$lang['DELETE']		= 'Delete';

$lang['HRS']		= 'Hrs';
$lang['HRS_SMALL']	= 'hrs';
$lang['ACTIVE']		= 'Active';
$lang['TOTAL']		= 'Total';
$lang['NAME']		= 'Name';

$lang['CALENDAR']	= 'Calendar';
$lang['COMPANY']	= 'Company';
$lang['DATE']		= 'Date';
$lang['TIME']		= 'Time';
$lang['DATE_TIME']	= 'Date / Time';

$lang['SUNDAY']		= 'Sunday';
$lang['MONDAY']		= 'Monday';
$lang['TUESDAY']	= 'Tuesday';
$lang['WEDNESDAY']	= 'Wednesday';
$lang['THURSDAY']	= 'Thursday';
$lang['FRIDAY']		= 'Friday';
$lang['SATURDAY']	= 'Saturday';

$lang['HOME']		= 'Home';
$lang['MANAGE']		= 'Manage';
$lang['DEPOSIT']	= 'Deposit';
$lang['ESTIMATE']	= 'Estimate';
$lang['EMAIL']		= 'Email';
$lang['SUBMIT']		= 'Submit';
/* success */
$lang['SUCCESS_SAVE']	= 'Saved';
$lang['DELETE_SUCCESS']	= 'Deleted';
$lang['MAIL_SUCCESS']	= 'Mail Sent successfully!';
$lang['SAVE_ERROR']		= 'Error in save!';

/* Errors */
$lang['ERROR_YOU_MUST_LOGIN_FIRST']	= 'Please login first';
$lang['DOMIAN_NOT_EXISTS']			= 'Domain not exists. Please check with administrator!.';
$lang['DOMIAN_NOT_ACTIVE']			= "Domain not activated yet. Please check with administrator or contact us <a href='mailto:support@srimax.com'>support@srimax.com</a>";
$lang['PERMISSION_DENIED']			= 'Don\'t have permission to access this page!. Please check with your Administrator.';
$lang['PAGE_NOT_FOUND']				= 'The page you requested was not found.';
$lang['INVALID_EMAIL']				= 'Invalid email address';
$lang['EMAIL_REQUIRED']				= 'Email Address is required.';
$lang['FIELD_REQUIRED']				= 'The %s Field is required.';
$lang['MUST_BE_UNIQUE']				= '%s must be unique.';
$lang['CONFIRM_DELETE']				= 'Are you sure you want to delete this %s ?';

$lang['SESSION_EXPIRED']			= 'Sorry your session expired, please re-login again.';
$lang['INVALID_REQUEST']			= 'Invalid request.';

$lang['NO_MORE_DATA']	= 'No data available.';
$lang['NO_DATA_FOUND']	= 'No Data Found';
$lang['NO_RESULT_FOUND']= 'No Result Found';
$lang['SHOW_MORE']	= 'Show More...';
$lang['LOAD_MORE']	= 'Load More...';
$lang['LOADING']	= 'Loading...';
$lang['SWAP_VIEW']	= 'Swap View';
$lang['SAVE_ALL']	= 'Save';
$lang['ADD_NEW']	= 'Add New';

$lang['REQUIRE_DATA_MISSING']		= 'Require input data missing.';

// Menus languages

$lang['HOME']			= 'Home';
$lang['TASKS']			= 'Tasks';
$lang['TASK_TODO']		= 'ToDo';
$lang['MY_TASKS']		= 'My Tasks';
$lang['PROJECT_TASKS']	= 'Project Tasks';
$lang['TIMESHEET']		= 'Timesheet';
$lang['MY_TIMESHEET']	= 'My Timesheet';
$lang['MY_TEAM']		= 'My Team';
$lang['APPROVE']		= 'Approve';
$lang['APPROVE_REVOKE']	= 'Approve / Revoke';
$lang['EXPENSES']		= 'Expenses';
$lang['MANAGE']			= 'Manage';
$lang['PROJECTS']		= 'Projects';
$lang['CLIENTS']		= 'Clients';
$lang['USERS']			= 'Users';
$lang['REPORTS']		= 'Reports';
$lang['TIME']			= 'Time';
$lang['ACTIVITY']		= 'Activity';
$lang['INVOICE']		= 'Invoice';
$lang['MEMBER']		= 'Member';
$lang['DEPOSIT_INVOICE']= 'Deposit Invoice';
$lang['BUDGET']			= 'Budget';
$lang['SETTINGS']		= 'Settings';
$lang['GENERAL']		= 'General';
$lang['CUSTOM_VALUES']	= 'Custom Values';
$lang['ESTIMATES']		= 'Estimates';
$lang['ENTITY']			= 'Entity';
$lang['TIMESHEET_APPROVE']	= 'Timesheet Approve';

$lang['TODAY']				= 'Today';
$lang['THIS_WEEK']			= 'This Week';
$lang['THIS_SEMI_MONTHLY']	= 'This Semi-Monthly';
$lang['THIS_MONTH']			= 'This Month';
$lang['THIS_QUARTER']		= 'This Quarter';
$lang['THIS_YEAR']			= 'This Year';
$lang['THIS_ACCOUNT_YEAR']	= 'This Fiscal Year';

$lang['YESTERDAY']			= 'Yesterday';
$lang['LAST_WEEK']			= 'Last Week';
$lang['LAST_SEMI_MONTHLY']	= 'Last Semi-Monthly';
$lang['LAST_MONTH']			= 'Last Month';
$lang['LAST_QUARTER']		= 'Last Quarter';
$lang['LAST_YEAR']			= 'Last Year';
$lang['LAST_ACCOUNT_YEAR']	= 'Last Fiscal Year';

$lang['CUSTOM']	= 'Custom';
$lang['TO']		= 'T0';

$lang['CONFIRM_PASSWORD_DIFFERENT'] = 'Confirm Password & Password must be same.';

$lang['TASK_TYPE']		= 'Task Type';

$lang['LOGOFF']		= 'Logoff';
$lang['EDIT_PROFILE']		= 'Edit Profile';
$lang['TIMESHEET_DETAIL']	= 'Timesheet Detail';
$lang['INVOICE_ACTIVITY']	= 'Invoice Activity';
$lang['ESTIMATE_ACTIVITY']	= 'Estimate Activity';
$lang['ADD_NEW'] 			= 'Add Bookmark';
$lang['ARCHIVE']			= 'Archive';
$lang['UNARCHIVE']			= 'Unarchive';
$lang['DELETE_CONFIRM']		= 'Are you sure to delete this?';


$lang['OUTPUT_HOURS']		= 'Output hours';
$lang['TASK_STATUS']		= 'Task status';
$lang['MILESTONES']			= 'Milestones';
$lang['PROJECT_ALERT']		= 'Project alert';
$lang['OUTSTANDING_AMOUNT']	= 'Outstanding Amount';
$lang['SELECT_PROJECT']		= 'Select project';
$lang['TASK_TYPES']			= 'Task types';
$lang['INCOME_VS_EXPENSES']	= 'Income vs Expenses';
$lang['INVOICES']	= 'Invoices';
$lang['PROJECT_HOURS']		= 'Project Hours';
$lang['DASHBOARD_TITLE']	= 'Dashboard';
$lang['INCOME']	= 'Income';
$lang['REPLY']	= 'Reply';
$lang['SHOW_REPLIES']	= 'Show Replies';
$lang['HIDE_REPLIES']	= 'Hide Replies';
$lang['POST']	= 'Post';
$lang['ATTACH_FILE'] = 'Attach a file';
$lang['project_name_uniquee'] = 'The project name field require and must contain a unique value';
$lang['project_code_uniquee'] = 'The project code field must contain a unique value';
$lang['UNSUBMITTED_HOURS'] = 'Unsubmitted hours';
$lang['LOAD_MORE'] = 'Load More';

$lang['FILESIZE'] = 'Size';
$lang['POSTED_BY'] = 'Posted By';
$lang['DATE_MODIFIED'] = 'Date Modified';

$lang['SERVER_NAME'] = 'Server Name';
$lang['OVER_DUE']	 = 'Over Due';
$lang['INVOICED']	 = 'Invoiced';
$lang['UNINVOICED']	 = 'Uninvoiced';
$lang['ENABLE']	 = 'Enable';
$lang['DISABLE'] = 'Disable';
$lang['CONFIG']	 = 'Config';
$lang['DISABLE_HOOK_CONFIRM_MSG'] = 'Are you sure? Addon config will be removed.';
$lang['REGISTER']	 = 'Register';
$lang['CUS_AGREEMENT'] = 'Customer Agreement';
$lang['PRI_POLICY'] = 'Privacy policy';
$lang['FORGOT_DOMAIN_LINK'] = 'Forgot your outputtime url?';
$lang['FORGOT_DOMAIN_URL'] = 'Forgot your outputtime url, please submit your email to us. We will mail you your entity url.';
// before trial period close
$lang['ENTITY_TRIAL_CLOSE_SUB'] = 'Your Output Time free trail period is about to end';
$lang['ENTITY_TRIAL_CLOSE_MSG'] = "Dear %s\n\nYour Output Time Trail Account will end in less than %s days.\n\nPlease login to your account & upgrade to one of our plans.\n\n<a href='http://www.outputtime.com/index.php/output-time-pricing/' target='_blank'>www.outputtime.com/index.php/output-time-pricing/</a>\n\n
If you choose our free plan, you can track 3 projects, 3 clients and 3 users with unlimited invoicing.\n\nYour Account will remain active for next one month & we request you to upgrade at the earliest.\n\nLooking forward to having you as a customer!\n\n
Regards,\nOutput Time team";

// trail period expired
$lang['ENTITY_TRIAL_EXPIRED_SUB'] = 'Your Output Time Trial period expired';
$lang['ENTITY_TRIAL_EXPIRED_MSG'] = "Dear %s\n\nYour Output Time Trial plan expired and active only upcoming five days.\n\nYou will not able to create new projects, users  and clients until you buy one of our plans here <a href='http://www.outputtime.com/index.php/output-time-pricing/' target='_blank'>www.outputtime.com/index.php/output-time-pricing/</a>\n\nYou may switch over to our free plan, where you can track 3 projects, 3 clients and 3 users with unlimited invoicing.\n\nLooking forward to having you as a customer!\n\n
Regards,\nOutput Time team";

// locked after trail period
$lang['ENTITY_TRIAL_LOCKED_SUB'] = 'Your Output Time Trial version locked';
$lang['ENTITY_TRIAL_LOCKED_MSG'] = "Dear %s\n\nYour Output Time Trial plan expired before five days and your account is locked .\n\nyou can contact our support team at <a href='mailto:support@srimax.com'>support@srimax.com</a>\n\nYou will not able to create new projects, users  and clients until you buy one of our plans here <a href='http://www.outputtime.com/index.php/output-time-pricing/' target='_blank'>www.outputtime.com/index.php/output-time-pricing/</a>\n\nLooking forward to having you as a customer!\n\nRegards,\nOutput Time team";

// account archived
$lang['ENTITY_TRIAL_ARCHIVED_SUB'] = 'Your Output Time domain archived';
/*$lang['ENTITY_TRIAL_ARCHIVED_MSG'] = "Dear %s\n\nYour Output Time domain account is archived.\n\nyou can contact our support team at <a href='mailto:support@srimax.com'>support@srimax.com</a> to activate your domain.\n\nLooking forward to having you as a customer!\n\n
Regards,\nOutput Time team";*/

$lang['ENTITY_TRIAL_ARCHIVED_MSG'] = "Dear %s\n\nYour Output Time account for <b>%s</b> is archived due to inactivity.\n\nTo activate your account, please contact our support team at <a href='mailto:support@srimax.com'>support@srimax.com</a>.\n\nLooking forward to having you back!\n\n Regards, \nOutput Time team";

// upgrade to free plan
$lang['ENTITY_FREE_UPGRADE_SUB'] = 'Your Output Time free Plan activated';
$lang['ENTITY_FREE_UPGRADE_MSG'] = "Dear %s\n\nYour Output Time free plan is activated as per your request.\n\nYour Account will remain active for ever and you may create unlimited invoices during the trail period.\n\nHow ever, since the trail is over, you will not able to create new projects and invoices until you upgrade one of our plans here <a href='http://www.outputtime.com/index.php/output-time-pricing/' target='_blank'>www.outputtime.com/index.php/output-time-pricing/</a>\n\n
If you choose our free plan, you can track 3 projects, 3 clients and 3 users with unlimited invoicing.\n\nLooking forward to having you as a customer!\n\n
Regards,\nOutput Time team";

$lang['UPGRADE_YOUR_VERSION'] = "Your entity %s limit exceeds, to upgrade your plan please check <a href='http://www.outputtime.com/index.php/output-time-pricing/' target='_blank'>here</a> or contact our support team at <a href='mailto:support@srimax.com'>support@srimax.com</a>.";

$lang['UPGRADE_YOUR_VERSION_MSG'] = "Dear %s\n\nKindly bookmark the url for access domain.\n\n%s\nYour sign in email address is %s\n\nIf you have any trouble in login contact our support team at <a href='mailto:support@srimax.com'>support@srimax.com</a>.\n\n
Regards,\nOutput Time team";
$lang['ENTITY_DOMAIN_URL_REQUEST'] = "Your Output Time Domain";
$lang['FORGOT_DOMAIN_CONFIRMED']='An email has been sent to %s with your Web Address.';
$lang['MY']	= 'My';
$lang['TEAM']	= 'Team';

$lang['DELETE_COMMENT']	= 'Delete Comment';
$lang['COMMENT_DELETE_SUCCESS']	= 'Comment delete success.';
$lang['COMMENT_DELETE_FAILED']	= 'Comment delete failed.';
$lang['DELETE_REPLY']	= 'Delete reply';
$lang['REPLY_DELETE_SUCCESS']	= 'Reply delete success';
$lang['REPLY_DELETE_FAILED']	= 'Reply delete failed';
$lang['TRAIL_EXPIRED']			= 'Trail period will be expired %s.';
$lang['ACTIONS']	= 'Actions';
$lang['BOTH']	= 'Both';

$lang["DUE_TODAY"]	= 'Due today';
$lang["OVERDUE"] 	= 'Overdue';
$lang["UPCOMING"]	= 'Upcoming';
