<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

// Titles
$lang['LOGIN']				= 'Login!';
$lang['SIGNUP']				= 'Sign Up!';
$lang['ADMIN_PASSWORD']		= 'Administrator Password';
$lang['ADMIN_NAME']			= 'Administrator Name';
$lang['SUBDOMAIN']			= 'Subdomain';
$lang['COMPANY']			= 'Company';
$lang['SUCCESS_SAVE']		= 'User Registered Successful.';	
$lang['SUCCESS_SAVE_LOGIN']	= 'User Registered Successfully. Login to continue.';
$lang['CONFIRM_PASSWORD']	= 'Confirm Password';
$lang['CONFIRM_PASSWORD_DIFFERENT'] = 'Confirm Password & Administrator Password are different';

$lang['COMPANY_LENGTH']		= 'Company field should be minimum 5 characters.';
$lang['SUBDOMAIN_LENGTH']	= 'Sub-Domain field should me minimum 4 characters.';
$lang['ADMIN_NAME_LENGTH']	= 'Administrator Name field should be minimum 4 characters.';
$lang['ADMIN_PASSWORD_LENGTH']='Password field should be minimum 6 characters.';
$lang['SUBDOMAIN_NAME_NOT_YET_VERIFIED']= 'Sub-Domain name not yet verified.';
$lang['ENTITY_REGISTERED'] = 'Welcome to Output Time';
$lang['ENTITY_REGISTER_TEMPLATE'] = "Welcome %s \n\n We have activated your Output Time account and designated you as the administrator for your company. A separate subdomain has been assigned for accessing the account easily and conveniently by your team-mates and by yourself. You can sign in to the account with the link and credentials below:\n\nSign-in domain:&nbsp;%s\n\nLogin Email:&nbsp;%s\n\nPassword:&nbsp;%s\n\n\nThanks\n\n - The Output Time Team";
$lang['ENTITY_ON_PRE_REGISTERED'] = 'Welcome to Output Time';
$lang['ENTITY_ON_PRE_REGISTER_TEMPLATE'] = "Dear %s ,\n\n Thank you for your registration for On-premises Output Time.\n\n The following download have been made available to you:\n\n%s\n\nTrial License Key:&nbsp;%s\n\nFor further details on installing Output Time Server:\n\n%s\n\n\nThanks\n\n - The Output Time Team";
$lang['ENTITY_ON_PRE_SUCCESS'] ='Thank you for registering on-premises server account. The download link & Trial license key will be sent to your email.';
// $lang['WEEKLY_MAIL_CONTENT']	= 'Dear %s,</br><p style="padding-left:20px;">This is Output Time weekly report of your company <b style="color:#0077BB;">%s</b> for the period <b style="color:#208ED3;">%s</b>.</p></br>%s</br>%s';

$lang['WEEKLY_MAIL_CONTENT']	=  'Dear %s,</br><p style="padding-left:20px;">Your <b style="color:#0077BB;font-weight:normal;">%s</b> Output Time weekly report for the period <b style="color:#208ED3;font-weight:normal;">%s</b>.</p></br>%s</br>%s';

$lang['WEEKLY_MAIL_PROJECT_HOURS']	= str_replace(array(PHP_EOL, '	'), '', '<table style="width:70%;margin:auto;font-family:arial;color:gray;" cellpadding="5" cellspacing="5">
	<colgroup>
		<col style="width:40px;">
		<col style="width:45%;">
		<col style="width:45%;">
	</colgroup>
	<thead>
		<tr>
			<th style="text-align:left;" colspan="3">Project Hours</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td style="40px">&nbsp;</td>
			<td style="width:45%;color:#52d793;padding-bottom:0px;font-size:20px;">Billable</td>
			<td style="width:45%;color:#fc8660;padding-bottom:0px;font-size:20px;">Non Billable</td>
		</tr>
		<tr>
			<td style="40px">&nbsp;</td>
			<td style="width:45%;color:#52d793;padding-top:0px;">##billable_hours## Hrs</td>
			<td style="width:45%;color:#fc8660;padding-top:0px;">##nonbillable_hours## Hrs</td>
		</tr>
		<tr style="color:gray;">
			<td style="40px">&nbsp;</td>
			<td style="width:45%;padding-bottom:0px;padding-top:15px;font-size:20px;">Invoiced</td>
			<td style="width:45%;padding-bottom:0px;padding-top:15px;font-size:20px;">UnInvoiced</td>
		</tr>
		<tr style="color:gray;">
			<td style="40px">&nbsp;</td>
			<td style="width:45%;padding-top:0px;">##invoiced_hours## Hrs</td>
			<td style="width:45%;padding-top:0px;">##uninvoiced_hours## Hrs</td>
		</tr>
	</tbody>
</table>');

$lang['WEEKLY_MAIL_MILESTONES']	= str_replace(array(PHP_EOL, '	'), '', '<table style="width:70%;margin:auto;font-family:arial;color:gray;" cellpadding="5" cellspacing="5">
	<colgroup>
		<col style="width:40px;">
		<col style="width:45%;">
		<col style="width:45%;">
	</colgroup>
	<thead>
		<tr>
			<th style="text-align:left;" colspan="3">Milestones</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td style="40px">&nbsp;</td>
			<td style="width:45%;color:#fc8660;padding-bottom:0px;font-size:20px;">Overdue</td>
			<td style="width:45%;color:gray;padding-bottom:0px;font-size:20px;">Upcoming</td>
		</tr>
		<tr>
			<td style="40px">&nbsp;</td>
			<td style="width:45%;color:#fc8660;padding-top:0px;">##overdue##</td>
			<td style="width:45%;color:gray;padding-top:0px;">##upcoming##</td>
		</tr>
	</tbody>
</table>');
